CorruptReplicasMap.Reason (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.blockmanagement, class: CorruptReplicasMap, enum: Reason

Package org.apache.hadoop.hdfs.server.blockmanagement

# Enum Class CorruptReplicasMap.Reason

java.lang.Object
java.lang.Enum<CorruptReplicasMap.Reason>
org.apache.hadoop.hdfs.server.blockmanagement.CorruptReplicasMap.Reason

All Implemented Interfaces:
  `Serializable`, `Comparable<CorruptReplicasMap.Reason>`, `Constable`

Enclosing class:
  org.apache.hadoop.hdfs.server.blockmanagement.CorruptReplicasMap

public static enum CorruptReplicasMap.Reason extends Enum<CorruptReplicasMap.Reason>
The corruption reason code

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ANY`
  `CORRUPTION_REPORTED`
  `GENSTAMP_MISMATCH`
  `INVALID_STATE`
  `NONE`
  `SIZE_MISMATCH`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CorruptReplicasMap.Reason`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CorruptReplicasMap.Reason[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final CorruptReplicasMap.Reason NONE

  - ### ANY

    public static final CorruptReplicasMap.Reason ANY

  - ### GENSTAMP_MISMATCH

    public static final CorruptReplicasMap.Reason GENSTAMP_MISMATCH

  - ### SIZE_MISMATCH

    public static final CorruptReplicasMap.Reason SIZE_MISMATCH

  - ### INVALID_STATE

    public static final CorruptReplicasMap.Reason INVALID_STATE

  - ### CORRUPTION_REPORTED

    public static final CorruptReplicasMap.Reason CORRUPTION_REPORTED

- ## Method Details

  - ### values

    public static CorruptReplicasMap.Reason[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CorruptReplicasMap.Reason valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null